diff -Npur spnavcfg-0.2.1.orig/Makefile.in spnavcfg-0.2.1/Makefile.in
--- spnavcfg-0.2.1.orig/Makefile.in	2012-01-31 22:16:40.789374658 +0100
+++ spnavcfg-0.2.1/Makefile.in	2012-01-31 22:17:01.146374359 +0100
@@ -5,8 +5,8 @@ warn = -Wall -Wno-int-to-pointer-cast -W
 
 CC = gcc
 INSTALL = install
-CFLAGS = -pedantic $(warn) $(dbg) $(opt) `pkg-config --cflags gtk+-2.0`
-LDFLAGS = `pkg-config --libs gtk+-2.0`
+CFLAGS = $(user_cflags) `pkg-config --cflags gtk+-2.0`
+LDFLAGS = $(user_ldflags) `pkg-config --libs gtk+-2.0`
 
 $(bin): $(obj)
 	$(CC) -o $@ $(obj) $(LDFLAGS)
diff -Npur spnavcfg-0.2.1.orig/configure spnavcfg-0.2.1/configure
--- spnavcfg-0.2.1.orig/configure	2012-01-31 22:16:40.789374658 +0100
+++ spnavcfg-0.2.1/configure	2012-01-31 22:17:01.146374359 +0100
@@ -43,6 +43,12 @@ done
 echo "  prefix: $PREFIX"
 echo "  optimize for speed: $OPT"
 echo "  include debugging symbols: $DBG"
+if [ -n "$CFLAGS" ]; then
+	echo "  cflags: $CFLAGS"
+fi
+if [ -n "$LDFLAGS" ]; then
+	echo "  ldflags: $LDFLAGS"
+fi
 echo
 
 # create Makefile
@@ -58,6 +64,13 @@ if [ "$OPT" = 'yes' ]; then
 	echo 'opt = -O3' >>Makefile
 fi
 
+if [ -n "$CFLAGS" ]; then
+        echo "user_cflags = $CFLAGS" >>Makefile
+fi
+if [ -n "$LDFLAGS" ]; then
+	echo "user_ldflags = $LDFLAGS" >>Makefile
+fi
+
 cat "$srcdir/Makefile.in" >>Makefile
 
 echo ''
